*==========================================================================
* APPEND_REPORT_EXAMPLE.PRG
*
* This example demonstrates how to append or chain multiple Visual FoxPro
* FRX Reports into a single report.
*
* NOTE:
* Use the NORESET clause when using _PAGENO and _PAGETOTAL to draw
* Page Numbers on reports where you want the Page Numbers to continue
* incrementing and not be reset by the VFP ReportListener.
*==========================================================================
PUBLIC oRPT AS 'MindsEyeReportPreviewForm' OF 'MindsEyeReportPreviewForms.VCX'
LOCAL oMERE AS 'MERE_ReportListener' OF 'MERE_REPORTLISTENER.VCX'

*==========================================================================
* Create an instance of the MindsEyeReportPreviewForm Form so that it can
* be passed to the MERE_ReportListener Class for rendering the report into.
*==========================================================================
m.oRPT = NEWOBJECT('MindsEyeReportPreviewForm','MindsEyeReportPreviewForms.VCX')

*==========================================================================
* Create an instance of the MERE_ReportListener to be used by the
* REPORT FORM command.
*==========================================================================
m.oMERE = NEWOBJECT('MERE_ReportListener','MERE_ReportListener.VCX','',m.oRPT)

*==========================================================================
* Run the First report using the native VFP REPORT FORM command using
* the new OBJECT clause and passing it the MERE ReportListener instance.
*==========================================================================
REPORT FORM REPORTS\MultiPageReport.FRX OBJECT oMERE NODIALOG

*==========================================================================
* Now set the nReportPlacement Property to 1 before running the
* second report so that it will be Appended to the first report.
*==========================================================================
m.oMERE.nReportPlacement = 1 && (0 = NEW REPORT, 1 = APPEND REPORT, -1 = INSERT REPORT)

*==========================================================================
* Use the NORESET Clause to keep VFP from resetting the
* _PAGENO and _PAGETOTAL system variables to 1 if you want
* your page numbers to keep incrementing with each appended
* report.
*==========================================================================
REPORT FORM REPORTS\MultiPageReport.FRX OBJECT oMERE NORESET NODIALOG 

m.oRPT.Show()
