SET CLASSLIB TO MindsEyeReportPreviewForms ADDITIVE
SET CLASSLIB TO MERE_ReportListener ADDITIVE

LOCAL lnMERETime, lnVFPRLDefaultTime, lnVFPRL1Time, lnVFPRL3Time

m.lcFileName = GETFILE('frx','Open Report','Open',0,'Select a Report File From the REPORTS Folder')
IF EMPTY(m.lcFileName) THEN
	RETURN
ENDIF
PUBLIC oMERE, oRPT
LOCAL llShowAsTopLevelForm, llDoNotShowMEREPreview, llDynamicLineHeight
m.llShowAsTopLevelForm = .F.
m.llDynamicLineHeight  = .T.

*
* Setting the llDoNotShowMEREPreview to TRUE will keep the MERE_ReportListener
* from calling the SHOW() Method of the MindsEyeReportPreviewForm.
* This is useful for generating reports without any User Interface for example
* when running MERE on a Web Server.

* m.llDoNotShowMEREPreview = .T.  	&& DO NOT AUTOMATICALLY DISPLAY THE MERE PREVIEW
m.llDoNotShowMEREPreview = .F.  	&& AUTOMATICALLY DISPLAY THE MERE PREVIEW

IF m.llShowAsTopLevelForm THEN
   oRPT = CREATEOBJECT('MindsEyeReportPreviewTopLevelForm')
ELSE
   oRPT = CREATEOBJECT('MindsEyeReportPreviewForm')
ENDIF

* To combine multiple reports into a single report, pass
* an existing instance of a MindsEyeReportPreviewForm object
* to the INIT of the MERE_ReportListener. If a MindsEyeReportPreviewForm
* object is not passed to the INIT of the MERE_ReportListener, then the
* MERE_ReportListener will instantiate its own instance
* of a MindsEyeReportPreviewForm.

IF VARTYPE(oRPT) = 'O' THEN
   oMERE = CREATEOBJECT('MERE_ReportListener',oRPT,m.llDoNotShowMEREPreview)
ELSE
   oMERE = CREATEOBJECT('MERE_ReportListener',,m.llDoNotShowMEREPreview)
ENDIF

* Before processing your VFP Report using the MERE_ReportListener you can set Properties
* of the MERE_ReportListener prior to processing your report.

WITH oMERE
   .DynamicLineHeight = m.llDynamicLineHeight
ENDWITH

* Use the Visual FoxPro REPORT FORM OBJECT command passing it the 
* Mind's Eye ReportListener Object to process your
* Visual FoxPro report.

REPORT FORM (lcFileName) OBJECT oMERE NODIALOG


IF m.llDoNotShowMEREPreview THEN
	*
	* Since the MindsEyeReportPreviewForm was told NOT to Show by this variable
	* above you can generate a PDF document or Print without any UI at this point
	* and then release the oRPT Object Reference Variable after you have done this.
	* Or, you could call the oRPT.SHOW() Method to display the report in the 
	* MindsEyeReportPreviewForm Form.
	
	* oRPT.oReportEngine.SaveToPDF('SomeReport.PDF')
	* m.lcPDFStream = oRPT.oReportEngine.PDFStream()
	
	* oRPT.SHOW()
ENDIF
