*==============================================================================================
* SHOW2REPORTS_EXAMPLE.PRG
*
* THIS EXAMPLE CREATES TWO SEPARATE INSTANCES OF THE MINDSEYEREPORTPREVIEWFORM CLASS
* SO THAT 2 REPORTS CAN BE DISPLAYED AT THE SAME TIME.
*
* EACH INSTANCE OF A MINDSEYEREPORTPREVIEWFORM CLASS CONTAINS IT'S OWN MERE ACTIVEX CONTROL
* AND USES A SEPARATE MEMORY AREA AND CAN PREVIEW A DIFFERENT REPORT
*
* IMPORTANT NOTE:
* ---------------
* IMAGE FILES ARE READ OFF OF THE DISK IN REAL TIME WHEN A PAGE IS PAINTED, THEREFORE
* IF MULTIPLE REPORTS ARE USING THE SAME FILENAMES FOR TEMPORARY FILES AND ONE WRITES
* OVER ANOTHER TEMPORARY FILE ONLY THE MOST RECENT IMAGE WILL BE DISPLAYED.
*==============================================================================================LOCAL llDoNotShowMEREPreview

m.llDoNotShowMEREPreview = .T.
SET CLASSLIB TO MindsEyeReportPreviewForms ADDITIVE
SET CLASSLIB TO MERE_ReportListener ADDITIVE
m.lcFileName = GETFILE('frx','Open Report','Open',0,'Select a Report File From the REPORTS Folder')
IF EMPTY(m.lcFileName) THEN
	RETURN
ENDIF

LOCAL oMERE AS 'MERE_ReportListener' OF 'MERE_ReportListener.VCX'

PUBLIC oRPT1 AS 'MindsEyeReportPreviewForm' OF 'MindsEyeReportPreviewForms.VCX'
PUBLIC oRPT2 AS 'MindsEyeReportPreviewForm' OF 'MindsEyeReportPreviewForms.VCX'


*==============================================================================
* CREATE 2 SEPARATE INSTANCES OF THE MINDSEYEREPORTPREVIEWFORM FORM CLASSES FOR
* RENDERING THE REPORTS INTO
*==============================================================================
m.oRPT1 = NEWOBJECT('MindsEyeReportPreviewForm','MindsEyeReportPreviewForms.VCX')
m.oRPT2 = NEWOBJECT('MindsEyeReportPreviewForm','MindsEyeReportPreviewForms.VCX')

*==============================================================================
* GENERATE THE FIRST REPORT INTO A MINDSEYEREPORTPREVIEWFORM INSTANCE
*==============================================================================
IF VARTYPE(oRPT1) = 'O' THEN
	m.oMERE = NEWOBJECT('MERE_ReportListener','MERE_ReportListener.VCX','',;
						oRPT1,m.llDoNotShowMEREPreview)
	IF VARTYPE(oMERE) = 'O' THEN
		REPORT FORM (lcFilename) OBJECT oMERE NODIALOG
		m.oMERE = NULL
	ENDIF
ENDIF


*==============================================================================
* GENERATE THE SECOND REPORT INTO A SEPARATE MINDSEYEREPORTPREVIEWFORM INSTANCE
*==============================================================================
IF VARTYPE(oRPT2) = 'O' THEN
	m.oMERE = NEWOBJECT('MERE_ReportListener','MERE_ReportListener.VCX','',;
						oRPT2,m.llDoNotShowMEREPreview)
	IF VARTYPE(oMERE) = 'O' THEN
		REPORT FORM (lcFilename) OBJECT oMERE NODIALOG
		m.oMERE = NULL
	ENDIF
ENDIF


*=================================================
* NOW DISPLAY THE 2 SEPARATE REPORT FORM INSTANCES
*=================================================
IF VARTYPE(oRPT1) = 'O' THEN
	WITH m.oRPT1
		.Left = 0
		.Width = (_SCREEN.Width / 2) - 10
		.Height = _SCREEN.Height - 60
		.SHOW()
	ENDWITH
ENDIF

IF VARTYPE(oRPT2) = 'O' THEN
	WITH m.oRPT2
		.Left = _SCREEN.Width / 2
		.Width = (_SCREEN.Width / 2) - 10
		.Height = _SCREEN.Height - 60
		.SHOW()
	ENDWITH
ENDIF
